using System;
using System.Collections.ObjectModel;

namespace Cyotek.Tools.AssemblyReferenceScanner
{
  [Serializable]
  public class AssemblyInfoCollection
    : KeyedCollection<string, AssemblyInfo>
  {
    #regionProtectedOverriddenMethods

    protected override string GetKeyForItem(AssemblyInfo item)
    {
      return item.Name;
    }

    #endregionProtectedOverriddenMethods
  }
}