using System;
using System.Collections.ObjectModel;

namespace Cyotek.Tools.AssemblyReferenceScanner
{
  [Serializable]
  public class AssemblyNameInfoCollection
    : KeyedCollection<string, AssemblyNameInfo>
  {
    #regionProtectedOverriddenMethods

    protected override string GetKeyForItem(AssemblyNameInfo item)
    {
      return item.Name;
    }

    #endregionProtectedOverriddenMethods
  }
}